## ide-lsp-formatter ide-lsp-formatter |

## Functions

void | ide_lsp_formatter_set_client ()
IdeLspClient * | ide_lsp_formatter_get_client ()

## Properties

IdeLspClient * | client | Read / Write

## Types and Values

#define | IDE_TYPE_LSP_FORMATTER
struct | IdeLspFormatter

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeLspFormatter

## Implemented Interfaces

IdeLspFormatter implements IdeFormatter.

## Description

## Functions

### ide_lsp_formatter_set_client ()

    void
    ide_lsp_formatter_set_client (IdeLspFormatter *self,
                                  IdeLspClient *client);

### ide_lsp_formatter_get_client ()

    IdeLspClient *
    ide_lsp_formatter_get_client (IdeLspFormatter *self);

Gets the client to use for the formatter.

#### Parameters

self | a IdeLspFormatter |

#### Returns

An IdeLspClient or `NULL`.

[transfer none]

## Types and Values

### IDE_TYPE_LSP_FORMATTER

    #define IDE_TYPE_LSP_FORMATTER (ide_lsp_formatter_get_type())

### struct IdeLspFormatter

    struct IdeLspFormatter;

## Property Details

### The `“client”` property

      “client”                   IdeLspClient *

The client to communicate over.

Owner: IdeLspFormatter

Flags: Read / Write